Summary:	A Proxy for the MySQL Client/Server protocol
Name:		mysql-proxy
Version:	0.6.1
Release:	%mkrel 3
License:	GPL
Group:		System/Servers
URL:		http://forge.mysql.com/wiki/MySQL_Proxy
Source0:	http://mysql.dataphone.se/Downloads/MySQL-Proxy/mysql-proxy-%{version}.tar.gz
Source2:	mysql-proxy.init
Requires(preun): rpm-helper
Requires(post): rpm-helper
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	glib2-devel
BuildRequires:	libevent-devel
BuildRequires:	lua-devel >= 5.1
BuildRequires:	mysql-devel
BuildRequires:	pkgconfig
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
MySQL Proxy is a simple program that sits between your client and MySQL
server(s) that can monitor, analyze or transform their communication. Its
flexibility allows for unlimited uses; common ones include: load balancing;
failover; query analysis; query filtering and modification; and many more.

%prep

%setup -q

cp %{SOURCE2} mysql-proxy.init


%build
%serverbuild

%configure2_5x \
    --with-lua

%make

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_initrddir}
install -d %{buildroot}%{_sysconfdir}/sysconfig
install -d %{buildroot}/var/run/%{name}

%makeinstall

install -m0755 mysql-proxy.init %{buildroot}%{_initrddir}/%{name}
install -m0644 examples/*.lua %{buildroot}%{_datadir}/%{name}/

cat > mysql-proxy.sysconfig << EOF
MYSQL_PROXY_OPTIONS="--daemon --proxy-lua-script %{_datadir}/%{name}/tutorial-basic.lua"
EOF

install -m0644 mysql-proxy.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/%{name}

# cleanup
rm -f %{buildroot}%{_datadir}/*.lua

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README README.TESTS
%attr(0755,root,root) %{_initrddir}/%{name}
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%attr(0755,root,root) %{_sbindir}/%{name}
%{_datadir}/%{name}
%dir /var/run/%{name}


%changelog
* Sat Jul 19 2008 Oden Eriksson <oeriksson@mandriva.com> 0.6.1-3mdv2009.0
+ Revision: 238781
- rebuild

* Wed May 14 2008 Oden Eriksson <oeriksson@mandriva.com> 0.6.1-2mdv2009.0
+ Revision: 207047
- rebuilt against libevent-1.4.4

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0.6.1-1mdv2008.1
+ Revision: 180945
- 0.6.1

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Oct 25 2007 Oden Eriksson <oeriksson@mandriva.com> 0.6.0-1mdv2008.1
+ Revision: 102012
- import mysql-proxy


* Thu Oct 25 2007 Oden Eriksson <oeriksson@mandriva.com> 0.6.0-1mdv2008.1
- initial Mandriva package
